/*================================================================================================*
 * Обертка вокруг memtest для защиты от конфликтов
 * (с отключением всего, что может иметь буферы в SDRAM)
 *================================================================================================*/

#include "global.h"

/*================================================================================================*/
#define SDRAM_TEST_MEMPTR   (&_sdram)
#define SDRAM_TEST_MEMSIZE  (32U << 20)
#define SDRAM_TEST_BLKSIZE  (1U << 20)  /* порция, после которой сбрасывается watchdog */

extern unsigned int _sdram;

/* Test functions return one of these codes or the failure address */
#define SDRAM_TEST_RES_SUCCESS      ((uintptr_t)NULL)
#define SDRAM_TEST_RES_NOT_STARTED  UINTPTR_MAX
/*================================================================================================*/

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
/* Quick power-on self test (before any access to SDRAM) */
uintptr_t sdram_test_post(void);

/* Full runtime memory test (long) */
uintptr_t sdram_test_runtime(void);
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/
